#ifndef __DRAGON_H__
#define __DRAGON_H__

#include "characters.h"

class dragon final: public character {
public:
        dragon(RNG *rng, const position &pos);
        virtual result attack(const direction dir,
                              character_list &chlist) override;
        virtual result get_hit(const enum race &race, const int atk,
                               const fraction hit_rate) override;
        virtual result move(const direction dir,
                            const position_list &avilable_positions) override;
};

#endif
