#ifndef __GOBLIN_H__
#define __GOBLIN_H__
#include "characters.h"

class goblin final: public character {
        static const int GAIN_GOLD = 5;
public:
        goblin(RNG *rng, const position &pos);
        virtual result attack(const direction dir,
                              character_list &chlist) override;
        virtual result get_hit(const enum race &race, const int atk,
                               const fraction hit_rate) override;
};

#endif
